## org.eclipse.datatools.connectivity.sqm.core.rte
Interface ICatalogObjectListener

All Known Implementing Classes:
  HSQLDBPipelineTreeContentProvider, org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers.content.impl.ServerExplorerContentProviderNav, SybaseASEContentProvider

    public interface ICatalogObjectListener

Nested Class Summary
`static interface` `ICatalogObjectListener.EventTypeEnumeration`

Method Summary
`void` `notifyChanged(ICatalogObject dmElement, int eventType)`

Method Detail

### notifyChanged

    void notifyChanged(ICatalogObject dmElement,
                       int eventType)